require 'robojora/version'
require 'robojora/settings'
require 'robojora/board'
require 'robojora/border_classifier'
require 'robojora/square'
require 'robojora/robot'
require 'robojora/rotator'
require 'robojora/movers/mover'
require 'robojora/movers/north'
require 'robojora/movers/south'
require 'robojora/movers/west'
require 'robojora/movers/east'

module Robojora
  class RobotNotOnBoardError < StandardError; end
  class CardinalDirectionError < StandardError; end
end
